curl --request GET \
--url https://api.treasuryprime.com/fednow \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/fednow"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/fednow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"account_id": "acct_11kpbg3r130zjwr",
"amount": "100.00",
"bank_id": "bank_acme",
"created_at": "2024-01-01T00:00:00Z",
"currency": "USD",
"description": "FedNow transfer 202503243211779688172026683739635",
"error": null,
"external_account_number": "123456789",
"external_name": "John Doe",
"external_reject_reason": null,
"external_routing_number": "987654321",
"external_status": "pending",
"fed_settlement_date": "2024-01-01",
"id": "fednow_11ky35224fez5zb",
"memo": "Cherry trees",
"org_id": "org_acme",
"originator_name": "Jane Doe",
"payment_id": "202503243211779688172026683739635",
"payment_type": "debit",
"related_fednow_ids": [
"202503243211779688172026683739633",
"202503243211779688172026683739634"
],
"security_context": {
"device_id": "a1b2c3d4e5f6",
"ip_address": "192.168.1.1",
"user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)"
},
"status": "pending",
"updated_at": "2024-01-01T00:00:00Z"
}
]
}List FedNow Payments
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
ID of the account. Filterable.
ID of the bank. Filterable.
External account number. Filterable.
Status of originated payment at the external account. Only populated for sent payments. One of pending, processing, done, rejected, blocked, or error. Filterable.
ID of the organization. Filterable.
FedNow payment ID. Filterable.
One of pending, processing, sent, done, or error. The available values for status are driven by payment type. Successful credits (incoming) terminate in done. Debits (outgoing) terminate in sent. Filterable.
Pagination cursor, value is the object ID.
Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.
x >= 1Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).
Response
A dictionary with a data property that contains a list of up to page_size fednow elements, starting after the fednow described by page_cursor. If no more fednows are available, the resulting list will be empty.
Show child attributes
Show child attributes
Was this page helpful?